-- Author      : LonghornsER
-- Create Date : 11/28/2015 4:48:59 PM
-- Version     : DICCMMB-v1,1b040
-- 
-- All snipped codes in this file and DICCMMB.lua is a direct coppy (changed this in self) from
-- the page -- http://www.wowinterface.com/forums/showthread.php?p=12808 that a comment is from:
-- Gello (Profile site: http://www.wowinterface.com/forums/member.php?u=2953)
-- My thanks goes out to you, that me as beginner can make a minimap button fast and easy :).

DICCTSLMMB_Settings = {
	MinimapPos = 45
}

function DICCTSLMMB_Reposition()
	if DICCTSLMMBPos ~= nil then 
		DICCTSLMMB_Settings.MinimapPos = DICCTSLMMBPos
	end
	DICCTSLMMB:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(DICCTSLMMB_Settings.MinimapPos)),(80*sin(DICCTSLMMB_Settings.MinimapPos))-52)
end

function DICCTSLMMB_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70
	ypos = ypos/UIParent:GetScale()-ymin-70

	DICCTSLMMB_Settings.MinimapPos = math.deg(math.atan2(ypos,xpos))
	DICCTSLMMBPos = DICCTSLMMB_Settings.MinimapPos
	DICCTSLMMB_Reposition() -- move the button
end

function DICCTSLMMB_OnClick(button)
	if UnitClass("player")=="Rogue" then
		_, _, _, _, _, _, DICTSLCurOwn = GetCurrencyInfo(DICTSLCurID)
		if button == "MiddleButton" then
			 if IsShiftKeyDown()==false and IsAltKeyDown()==false and  IsControlKeyDown()==false then
				if DingyIronCoins_TSL:IsVisible() then 
					if DICTSLGUIHide==0 and DICTSLCurOwn==true then 
						DingyIronCoins_TSL:Hide();DICTSLGUIHide=1
					end
				else 
					if DICTSLGUIHide==1 and DICTSLCurOwn==true then
						DingyIronCoins_TSL:Show();DICTSLGUIHide=0
					end
				end
			end
		end
		if button == "RightButton" then 
			if IsShiftKeyDown()==false and IsAltKeyDown()==false and  IsControlKeyDown()==false then
				if DICTSLCurOwn == true and DIC_TSL_InfoFrame:IsVisible()==false then
					DICTSL_SetAllNumbers();DICTSLIPage=3;DIC_TSL_InfoFrame:Show();DIC_TSL_InfoBuild(DICTSLIPage)
				elseif DICTSLCurOwn == true and DIC_TSL_InfoFrame:IsVisible() then
					 DIC_TSL_InfoFrame:Hide()
				end
			elseif IsShiftKeyDown()==false and IsAltKeyDown() then 
				DICTSLIPage=1;DIC_TSL_InfoFrame:Show();DIC_TSL_InfoBuild(DICTSLIPage)
			elseif IsShiftKeyDown() and IsAltKeyDown()==false and  IsControlKeyDown()==false then
				if DingyIronCoins_TSL:IsMovable() then
					DingyIronCoins_TSL:SetMovable(false)
					DIC_TSL_DoMsg(5,336,"GUI Frame is now |cFFFF4040Locked|r.")
				else
					DingyIronCoins_TSL:SetMovable(true)
					DIC_TSL_DoMsg(5,336,"GUI Frame is now |cFF00C000Unlocked|r.")
					DingyIronCoins_TSL:SetUserPlaced(true)
				end
			end
		end
	end
end

--## Buttons that need a Game Tooltip, Use this commando's 
--## OnEnter: DICCTSLMMB_OnEnter(ItemIdNummer) and OnLeave: DICCTSLMMB_OnLeave()
function DICCTSLMMB_OnEnter(ItemID)
	if ItemID ~= nil then 
		if ItemID == -1 then
			GameTooltip_SetDefaultAnchor( GameTooltip, UIParent )
			GameTooltip:SetHyperlink(link)
		else
			local name,link,_,_,_,_,_,_,_,icon,_ = GetItemInfo(ItemID)
			GameTooltip_SetDefaultAnchor( GameTooltip, UIParent )
			GameTooltip:SetHyperlink(link)
		end
	end
end
function DICCTSLMMB_OnLeave()
  GameTooltip:Hide()
end
--##############################################################################

function DICCTSLMMB_OnLoad()
	DICCTSLMMB_Icon:SetTexture(DICTSLCurIco);
	if UnitClass("player")=="Rogue" then 
		if DICCTSLMMBHide ~= 1 then	DICCTSLMMB:Show(); end
		GameTooltip:HookScript("OnTooltipSetItem", DICCTSLMMB_SetExtra)
	end 
	--## Sets Minimap Button Tooltip ##--
	DICCTSLMMB:SetScript("OnEnter", function(self)
		GameTooltip:SetOwner(self, "ANCHOR_TOPLEFT",-140,-3)
		GameTooltip:AddDoubleLine("|CFF3EA2A2D|CFFFFFF00ingy |CFF3EA2A2I|CFFFFFF00ron |CFF3EA2A2C|CFFFFFF00oins|CFFFFFFFF Calculator","by TSL",1,1,1,0.243,0.635,0.635)
		GameTooltip:AddLine("Use '/dicc commands' to see how to use this")
		GameTooltip:Show()
	end)
end

--## Extra 2 Lines for the Game Tooltip, when hovering items in bag of bank.
function DICCTSLMMB_SetExtra()
	local name, link = GameTooltip:GetItem()
	local ItemID = tonumber(link:match("item:(%d+)"))
	for k,v in pairs(DICTSLItmLst) do
		if ItemID == k then 
			GameTooltip:AddLine(" ")
			GameTooltip:AddLine("|CFF3EA2A2D|CFFFFFF00ingy |CFF3EA2A2I|CFFFFFF00ron |CFF3EA2A2C|CFFFFFF00oins|CFFFFFFFF Item Worth: |CFFFFC080"..tostring(v))
			GameTooltip:AddLine("|CFFFFFFFFTotal |CFF3EA2A2D|CFFFFFF00ingy |CFF3EA2A2I|CFFFFFF00ron |CFF3EA2A2C|CFFFFFF00oins|CFFFFFFFF Value: |cFF02d8d4"..tostring(GetItemCount(k)*v))
		end
	end
end